# Visualization
TKV3d
DsgPrs

# DsgPrs_DiameterPresentation Class Reference

A framework for displaying diameters in shapes.
.

`#include <DsgPrs_DiameterPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint, const gp_Circ &aCircle, const DsgPrs_ArrowSide ArrowSide, const Standard_Boolean IsDiamSymbol)

Draws the diameter of the circle aCircle displayed in
the presentation aPresentation and with attributes
defined by the attribute manager aDrawer. The point
AttachmentPoint defines the point of contact
between the circle and the diameter presentation.
The value of the enumeration ArrowSide controls
whether arrows will be displayed at either or both
ends of the length. The text aText labels the diameter.
.

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint, const gp_Circ &aCircle, const Standard_Real uFirst, const Standard_Real uLast, const DsgPrs_ArrowSide ArrowSide, const Standard_Boolean IsDiamSymbol)

Draws the diameter of the arc anArc displayed in the
presentation aPresentation and with attributes
defined by the attribute manager aDrawer. The point
AttachmentPoint defines the point of contact
between the arc and the diameter presentation. The
value of the enumeration ArrowSide controls whether
arrows will be displayed at either or both ends of the
length. The parameters uFirst and uLast define the
first and last points of the arc. The text aText labels the diameter.
.

## Member Function Documentation

static Standard_EXPORT void DsgPrs_DiameterPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint,
|  | const gp_Circ & | aCircle,
|  | const Standard_Real | uFirst,
|  | const Standard_Real | uLast,
|  | const DsgPrs_ArrowSide | ArrowSide,
|  | const Standard_Boolean | IsDiamSymbol
| ) | `[static]`

static Standard_EXPORT void DsgPrs_DiameterPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint,
|  | const gp_Circ & | aCircle,
|  | const DsgPrs_ArrowSide | ArrowSide,
|  | const Standard_Boolean | IsDiamSymbol
| ) | `[static]`

void DsgPrs_DiameterPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_DiameterPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_DiameterPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_DiameterPresentation.hxx